# *  This Program is free software; you can redistribute it and/or modify
# *  it under the terms of the CC BY-SA 3.0 DE License as published by
# *  Creative Commons.

# *  To view a summary of this license, visit
# *  DE: http://creativecommons.org/licenses/by-sa/3.0/de/
# *  EN: http://creativecommons.org/licenses/by-sa/3.0/us/

# *  To view the full license, visit
# *  DE: http://creativecommons.org/licenses/by-sa/3.0/de/legalcode
# *  EN: http://creativecommons.org/licenses/by-sa/3.0/us/legalcode


import xbmc
import xbmcgui
import xbmcaddon
import sys

addon = xbmcaddon.Addon()


class MyAVR(xbmc.Player):
    def __init__(self):
        #Power on
        xbmc.executebuiltin('System.Exec("C:\PioAV_NET.exe 10.0.0.131 PowerOn")')        
        
        while (not xbmc.abortRequested):
            xbmc.sleep(500)

        #Power off
        xbmc.executebuiltin('System.Exec("C:\PioAV_NET.exe 10.0.0.131 PowerOff")')


if __name__ == '__main__':
    if xbmc.getInfoLabel('System.ProfileName') == addon.getSetting('username'):
        if addon.getSetting('service_enabled') == 'true':
            if addon.getSetting('startup_notification') == 'true':
                xbmc.executebuiltin('Notification(AVR, Service gestartet)')

            AVR = MyAVR()

            if addon.getSetting('startup_notification') == 'true':
                xbmc.executebuiltin('Notification(AVR, Service beendet)')

            sys.modules.clear()
            del AVR
